<?php
$host = "webdev.iyaserver.com";
$username = "dent_guest";
$password = "Acad276_Dev2Ex@m";
$dbname = "dent_exam";

$mysql = new mysqli($host, $username, $password, $dbname);

if ($mysql->connect_errno) {
    echo "Database connection error: " . $mysql->connect_error;
    exit();
}

// Generate dynamic SQL statement
$sql = "SELECT devices.*, manufacturers.manufacturer, systems.system, types.type 
        FROM devices 
        JOIN manufacturers ON devices.manufacturer_id = manufacturers.manufacturer_id
        JOIN systems ON devices.system_id = systems.system_id
        JOIN types ON devices.type_id = types.type_id
        WHERE 1=1";

if (!empty($_GET['device_name'])) {
    $sql .= " AND devices.name LIKE '%" . $mysql->real_escape_string($_GET['device_name']) . "%'";
}
if (!empty($_GET['manufacturer_id']) && $_GET['manufacturer_id'] != "all") {
    $sql .= " AND devices.manufacturer_id = " . intval($_GET['manufacturer_id']);
}
if (!empty($_GET['system_id']) && $_GET['system_id'] != "all") {
    $sql .= " AND devices.system_id = " . intval($_GET['system_id']);
}
if (!empty($_GET['type_id']) && $_GET['type_id'] != "all") {
    $sql .= " AND devices.type_id = " . intval($_GET['type_id']);
}

$results = $mysql->query($sql);

if (!$results) {
    echo "SQL Error: " . $mysql->error;
    exit();
}
?>

    <!DOCTYPE html>
    <html>
    <head lang="en">
        <meta charset="UTF-8">
        <title>Acad276 Practical Exam: Results</title>
        <style>
            .container {
                width:  600px;
                margin: auto;
            }
            h1 {
                margin: auto;
                text-align: center;
                background-color:   #900;
                color:  #FC0;
                height: 60px;
                line-height: 60px;
            }
            .num-results {
                margin: 20px 10px;
            }
            table {
                margin: auto;
                margin-bottom: 20px;
                width:  80%;
                border-collapse: collapse;
            }
            th, td {
                border: 1px solid #900;
                border-collapse: collapse;
                padding:    10px;
                text-align: center;
            }
            img {
                width: 100px;
            }
            .nav-link{
                margin: 10px 0px;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
    <div class="container">
        <h1>Mobile Device Database: Search Results</h1>
        <div class="nav-link">
            <a href="search.php"><< Back to Search Page</a>
        </div>
        <div class="num-results">
            Your search returned
            <strong><?php echo $results->num_rows; ?></strong>
            results.
        </div>

        <table>
            <tr>
                <th>Name</th>
                <th>Price</th>
                <th>Manufacturer</th>
                <th>System</th>
                <th>Type</th>
            </tr>

            <?php
            while ($row = $results->fetch_assoc()) {
                echo "<tr>";
                echo "<td><a href='details.php?id=" . $row['device_id'] . "'>" . htmlspecialchars($row['name']) . "</a></td>";
                echo "<td>" . number_format($row['price'], 2) . "</td>";
                echo "<td>" . htmlspecialchars($row['manufacturer']) . "</td>";
                echo "<td>" . htmlspecialchars($row['system']) . "</td>";
                echo "<td>" . htmlspecialchars($row['type']) . "</td>";
                echo "</tr>";
            }
            ?>
        </table>
    </div>
    </body>
    </html>

<?php
$mysql->close();
?>